Kyoto Tycoon

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Typedefs | Variables
ktplugserv.h File Reference

pluggable server interface More...

`#include <ktcommon.h>`
`#include <ktutil.h>`
`#include <ktsocket.h>`
`#include <ktthserv.h>`
`#include <kthttp.h>`
`#include <ktrpc.h>`
`#include <ktulog.h>`
`#include <ktshlib.h>`
`#include <kttimeddb.h>`
`#include <ktdbext.h>`
`#include <ktremotedb.h>`

## Classes
class | kyototycoon::PluggableServer
| Interface of pluggable server abstraction. More...
## Namespaces
namespace | kyototycoon
| All symbols of Kyoto Tycoon.
## Typedefs
typedef PluggableServer *(* | kyototycoon::KTSERVINIT )()
| Initializer of a server implementation.
## Variables
const char *const | kyototycoon::KTSERVINITNAME = "ktservinit"
| The name of the initializer function.

## Detailed Description

pluggable server interface